use {
    super::SvmContext, solana_pubkey::Pubkey as SolanaPubkey,
    spherenet_validator_whitelist_interface::program::ID,
};

pub fn setup_validator_whitelist_program(
    context: &mut SvmContext,
) -> &mut SvmContext {
    let program_path = format!(
        "{}/../../target/deploy/spherenet_validator_whitelist_program.so",
        env!("CARGO_MANIFEST_DIR")
    );
    context
        .svm
        .add_program_from_file(ID, &program_path)
        .unwrap();
    context.add_program("validator_whitelist_program", SolanaPubkey::from(ID));
    context
}
